Extending Qt Creator Manual | BuildManager

Extending Qt Creator Manual 4.5.2

# BuildManager Class

(ProjectExplorer::BuildManager)

- List of all members, including inherited members

## Public Functions

| BuildManager(QObject *parent, QAction *cancelBuildAction)
| ~BuildManager() override

## Public Slots

void | aboutToRemoveProject(ProjectExplorer::Project *p)
void | cancel()
void | showTaskWindow()
void | toggleOutputWindow()
void | toggleTaskWindow()

## Signals

void | buildQueueFinished(bool success)
void | buildStateChanged(ProjectExplorer::Project *pro)
void | taskAdded(const ProjectExplorer::Task &task)
void | tasksChanged()
void | tasksCleared()

## Static Public Members

void | appendStep(BuildStep *step, const QString &name)
bool | buildList(BuildStepList *bsl, const QString &stepListName)
bool | buildLists(QList<BuildStepList *> bsls, const QStringList &stepListNames, const QStringList &preambelMessage = QStringList())
void | extensionsInitialized()
int | getErrorTaskCount()
BuildManager * | instance()
bool | isBuilding()
bool | isBuilding(const Project *p)
bool | isBuilding(const Target *t)
bool | isBuilding(const ProjectConfiguration *p)
bool | isBuilding(BuildStep *step)
bool | tasksAvailable()

## Member Function Documentation

### BuildManager::BuildManager(QObject *parent, QAction *cancelBuildAction)

Default constructs an instance of BuildManager.

### BuildManager::~BuildManager()

Destroys the instance of BuildManager.

### `[static slot]` void BuildManager::aboutToRemoveProject(ProjectExplorer::Project *p)

### `[static]` void BuildManager::appendStep(BuildStep *step, const QString &name)

### `[static]` bool BuildManager::buildList(BuildStepList *bsl, const QString &stepListName)

### `[static]` bool BuildManager::buildLists(QList<BuildStepList *> bsls, const QStringList &stepListNames, const QStringList &preambelMessage = QStringList())

### `[signal]` void BuildManager::buildQueueFinished(bool success)

### `[signal]` void BuildManager::buildStateChanged(ProjectExplorer::Project *pro)

### `[static slot]` void BuildManager::cancel()

### `[static]` void BuildManager::extensionsInitialized()

### `[static]` int BuildManager::getErrorTaskCount()

### `[static]` BuildManager *BuildManager::instance()

### `[static]` bool BuildManager::isBuilding()

### `[static]` bool BuildManager::isBuilding(const Project *p)

### `[static]` bool BuildManager::isBuilding(const Target *t)

### `[static]` bool BuildManager::isBuilding(const ProjectConfiguration *p)

### `[static]` bool BuildManager::isBuilding(BuildStep *step)

### `[static slot]` void BuildManager::showTaskWindow()

### `[signal]` void BuildManager::taskAdded(const ProjectExplorer::Task &task)

### `[static]` bool BuildManager::tasksAvailable()

### `[signal]` void BuildManager::tasksChanged()

### `[signal]` void BuildManager::tasksCleared()

### `[static slot]` void BuildManager::toggleOutputWindow()

### `[static slot]` void BuildManager::toggleTaskWindow()